Replace "$INCLUDE" with standard "INCLUDED".
Remove unused definition for "$MOVE" use "PLACE" instead of it.
While here, fix line terminators.

--- fth/system.fth	30 Nov 2010 09:57:52 -0000	1.1.1.4
+++ fth/system.fth	30 Nov 2010 23:52:12 -0000
@@ -50,7 +50,7 @@
 
 : CELL+ ( n -- n+cell )  cell + ;
 : CELL- ( n -- n+cell )  cell - ;
-: CELL* ( n -- n*cell )  cells ;
+: CELL* ( n -- n*cell )  cells ;
 
 : CHAR+ ( n -- n+size_of_char ) 1+ ;
 : CHARS ( n -- n*size_of_char , don't do anything)  ; immediate
@@ -111,9 +111,6 @@
         here 128 +
 ;
 
-: $MOVE ( $src $dst -- )
-        over c@ 1+ cmove
-;
 : BETWEEN ( n lo hi -- flag , true if between lo & hi )
         >r over r> > >r
         < r> or 0=
@@ -354,7 +351,7 @@
 ;
 
 : D2*  ( d -- d*2 )
-        2* over 
+        2* over 
         cell 8 * 1- rshift or  swap
         2* swap
 ;
@@ -715,9 +712,9 @@
 \ -------------- INCLUDE ------------------------------------------
 variable TRACE-INCLUDE
 
-: INCLUDE.MARK.START  ( $filename -- , mark start of include for FILE?)
-	" ::::"  pad $MOVE
-	count pad $APPEND
+: INCLUDE.MARK.START  ( ptr len -- , mark start of include for FILE?)
+	s" ::::"  pad place
+	pad $APPEND
 	pad ['] noop (:)
 ;
 
@@ -725,19 +722,18 @@
 	" ;;;;" ['] noop (:)
 ;
 
-: $INCLUDE ( $filename -- )
+: INCLUDED ( ptr len -- )
 \ Print messages.
         trace-include @
         IF
-                >newline ." Include " dup count type cr
+                >newline ." Include " 2dup type cr
         THEN
         here >r
-        dup
-        count r/o open-file 
-        IF  ( -- $filename bad-fid )
-                drop ." Could not find file " $type cr abort
-        ELSE ( -- $filename good-fid )
-                swap include.mark.start
+        2dup r/o open-file 
+        IF  ( -- ptr len bad-fid )
+                drop ." Could not find file " type cr abort
+        ELSE ( -- ptr len good-fid )
+                -rot include.mark.start
                 depth >r
                 include-file    \ will also close the file
                 depth 1+ r> -
@@ -758,13 +754,12 @@
 
 create INCLUDE-SAVE-NAME 128 allot
 : INCLUDE ( <fname> -- )
-        BL lword
-        dup include-save-name $move  \ save for RI
-        $include
+        BL parse-word  2dup include-save-name place  \ save for RI
+        ( or: include-save-name count ) included
 ;
 
 : RI ( -- , ReInclude previous file as a convenience )
-        include-save-name $include
+        include-save-name count included
 ;
 
 : INCLUDE? ( <word> <file> -- , load file if word not defined )
